-- Copyright (C) 2019  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 19.1.0 Build 670 09/22/2019 SJ Lite Edition"

-- DATE "06/12/2020 10:56:19"

-- 
-- Device: Altera EP4CE115F29C7 Package FBGA780
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEIVE;
LIBRARY IEEE;
USE CYCLONEIVE.CYCLONEIVE_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	hard_block IS
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic
	);
END hard_block;

-- Design Ports Information
-- ~ALTERA_ASDO_DATA1~	=>  Location: PIN_F4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_FLASH_nCE_nCSO~	=>  Location: PIN_E2,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_DCLK~	=>  Location: PIN_P3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_DATA0~	=>  Location: PIN_N7,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_nCEO~	=>  Location: PIN_P28,	 I/O Standard: 2.5 V,	 Current Strength: 8mA


ARCHITECTURE structure OF hard_block IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL \~ALTERA_ASDO_DATA1~~padout\ : std_logic;
SIGNAL \~ALTERA_FLASH_nCE_nCSO~~padout\ : std_logic;
SIGNAL \~ALTERA_DATA0~~padout\ : std_logic;
SIGNAL \~ALTERA_ASDO_DATA1~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_FLASH_nCE_nCSO~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_DATA0~~ibuf_o\ : std_logic;

BEGIN

ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
END structure;


LIBRARY ALTERA;
LIBRARY CYCLONEIVE;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIVE.CYCLONEIVE_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	Flashing_Lamp IS
    PORT (
	OSC_CLK_in : IN std_logic;
	CD_L : IN std_logic;
	ON_B_L : IN std_logic;
	Z : OUT std_logic;
	Current_state : OUT std_logic_vector(2 DOWNTO 0);
	CLK_5Hz_SQ_out : OUT std_logic;
	CLK_1kHz_SQ_out : OUT std_logic;
	OSC_CLK_out : OUT std_logic
	);
END Flashing_Lamp;

-- Design Ports Information
-- Z	=>  Location: PIN_G21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Current_state[0]	=>  Location: PIN_G19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Current_state[1]	=>  Location: PIN_F19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Current_state[2]	=>  Location: PIN_E19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CLK_5Hz_SQ_out	=>  Location: PIN_G16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CLK_1kHz_SQ_out	=>  Location: PIN_H15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- OSC_CLK_out	=>  Location: PIN_F17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- OSC_CLK_in	=>  Location: PIN_Y2,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CD_L	=>  Location: PIN_R24,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ON_B_L	=>  Location: PIN_M23,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF Flashing_Lamp IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_OSC_CLK_in : std_logic;
SIGNAL ww_CD_L : std_logic;
SIGNAL ww_ON_B_L : std_logic;
SIGNAL ww_Z : std_logic;
SIGNAL ww_Current_state : std_logic_vector(2 DOWNTO 0);
SIGNAL ww_CLK_5Hz_SQ_out : std_logic;
SIGNAL ww_CLK_1kHz_SQ_out : std_logic;
SIGNAL ww_OSC_CLK_out : std_logic;
SIGNAL \OSC_CLK_in~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Chip3|Chip3|current_state~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Z~output_o\ : std_logic;
SIGNAL \Current_state[0]~output_o\ : std_logic;
SIGNAL \Current_state[1]~output_o\ : std_logic;
SIGNAL \Current_state[2]~output_o\ : std_logic;
SIGNAL \CLK_5Hz_SQ_out~output_o\ : std_logic;
SIGNAL \CLK_1kHz_SQ_out~output_o\ : std_logic;
SIGNAL \OSC_CLK_out~output_o\ : std_logic;
SIGNAL \OSC_CLK_in~input_o\ : std_logic;
SIGNAL \OSC_CLK_in~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[0]~15_combout\ : std_logic;
SIGNAL \CD_L~input_o\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[5]~26\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[6]~27_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[6]~28\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[7]~29_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[7]~30\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[8]~31_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[8]~32\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[9]~33_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[9]~34\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[10]~35_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[10]~36\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[11]~37_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[11]~38\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[12]~39_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[12]~40\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[13]~41_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[13]~42\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[14]~43_combout\ : std_logic;
SIGNAL \Chip3|Chip1|LessThan0~0_combout\ : std_logic;
SIGNAL \Chip3|Chip1|LessThan0~1_combout\ : std_logic;
SIGNAL \Chip3|Chip1|Equal0~1_combout\ : std_logic;
SIGNAL \Chip3|Chip1|Equal0~0_combout\ : std_logic;
SIGNAL \Chip3|Chip1|LessThan0~2_combout\ : std_logic;
SIGNAL \Chip3|Chip1|LessThan0~3_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[0]~16\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[1]~17_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[1]~18\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[2]~19_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[2]~20\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[3]~21_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[3]~22\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[4]~23_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[4]~24\ : std_logic;
SIGNAL \Chip3|Chip1|present_state[5]~25_combout\ : std_logic;
SIGNAL \Chip3|Chip1|Equal0~2_combout\ : std_logic;
SIGNAL \Chip3|Chip1|Equal0~3_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[0]~8_combout\ : std_logic;
SIGNAL \Chip3|Chip2|TC200~1_combout\ : std_logic;
SIGNAL \Chip3|Chip2|TC200~0_combout\ : std_logic;
SIGNAL \Chip3|Chip2|LessThan0~0_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[0]~9\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[1]~10_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[1]~11\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[2]~12_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[2]~13\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[3]~14_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[3]~15\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[4]~16_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[4]~17\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[5]~18_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[5]~19\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[6]~20_combout\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[6]~21\ : std_logic;
SIGNAL \Chip3|Chip2|present_state[7]~22_combout\ : std_logic;
SIGNAL \Chip3|Chip2|TC200~2_combout\ : std_logic;
SIGNAL \Chip3|Chip4|current_state~0_combout\ : std_logic;
SIGNAL \Chip3|Chip4|current_state~q\ : std_logic;
SIGNAL \Chip3|Chip3|current_state~0_combout\ : std_logic;
SIGNAL \Chip3|Chip3|current_state~feeder_combout\ : std_logic;
SIGNAL \Chip3|Chip3|current_state~q\ : std_logic;
SIGNAL \Chip3|Chip3|current_state~clkctrl_outclk\ : std_logic;
SIGNAL \ON_B_L~input_o\ : std_logic;
SIGNAL \Chip1|Selector1~0_combout\ : std_logic;
SIGNAL \Chip1|current_state.Light_ON~q\ : std_logic;
SIGNAL \Chip1|next_state.Button_pressed_2~0_combout\ : std_logic;
SIGNAL \Chip1|current_state.Button_pressed_2~q\ : std_logic;
SIGNAL \Chip1|Selector2~0_combout\ : std_logic;
SIGNAL \Chip1|current_state.Light_flashing~q\ : std_logic;
SIGNAL \Chip1|next_state.Button_pressed_3~0_combout\ : std_logic;
SIGNAL \Chip1|current_state.Button_pressed_3~q\ : std_logic;
SIGNAL \Chip1|Selector0~0_combout\ : std_logic;
SIGNAL \Chip1|current_state.Init_state~q\ : std_logic;
SIGNAL \Chip1|next_state.Button_pressed~0_combout\ : std_logic;
SIGNAL \Chip1|current_state.Button_pressed~q\ : std_logic;
SIGNAL \Chip2|y~0_combout\ : std_logic;
SIGNAL \Chip1|WideOr3~0_combout\ : std_logic;
SIGNAL \Chip3|Chip1|present_state\ : std_logic_vector(14 DOWNTO 0);
SIGNAL \Chip3|Chip2|present_state\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \Chip1|S\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \Chip1|States\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \Chip1|ALT_INV_WideOr3~0_combout\ : std_logic;

COMPONENT hard_block
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic);
END COMPONENT;

BEGIN

ww_OSC_CLK_in <= OSC_CLK_in;
ww_CD_L <= CD_L;
ww_ON_B_L <= ON_B_L;
Z <= ww_Z;
Current_state <= ww_Current_state;
CLK_5Hz_SQ_out <= ww_CLK_5Hz_SQ_out;
CLK_1kHz_SQ_out <= ww_CLK_1kHz_SQ_out;
OSC_CLK_out <= ww_OSC_CLK_out;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\OSC_CLK_in~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \OSC_CLK_in~input_o\);

\Chip3|Chip3|current_state~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \Chip3|Chip3|current_state~q\);
\Chip1|ALT_INV_WideOr3~0_combout\ <= NOT \Chip1|WideOr3~0_combout\;
auto_generated_inst : hard_block
PORT MAP (
	devoe => ww_devoe,
	devclrn => ww_devclrn,
	devpor => ww_devpor);

-- Location: IOOBUF_X74_Y73_N23
\Z~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|y~0_combout\,
	devoe => ww_devoe,
	o => \Z~output_o\);

-- Location: IOOBUF_X69_Y73_N16
\Current_state[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|ALT_INV_WideOr3~0_combout\,
	devoe => ww_devoe,
	o => \Current_state[0]~output_o\);

-- Location: IOOBUF_X94_Y73_N2
\Current_state[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|States\(1),
	devoe => ww_devoe,
	o => \Current_state[1]~output_o\);

-- Location: IOOBUF_X94_Y73_N9
\Current_state[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|States\(2),
	devoe => ww_devoe,
	o => \Current_state[2]~output_o\);

-- Location: IOOBUF_X67_Y73_N2
\CLK_5Hz_SQ_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip3|Chip4|current_state~q\,
	devoe => ww_devoe,
	o => \CLK_5Hz_SQ_out~output_o\);

-- Location: IOOBUF_X60_Y73_N16
\CLK_1kHz_SQ_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip3|Chip3|current_state~q\,
	devoe => ww_devoe,
	o => \CLK_1kHz_SQ_out~output_o\);

-- Location: IOOBUF_X67_Y73_N16
\OSC_CLK_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \OSC_CLK_in~input_o\,
	devoe => ww_devoe,
	o => \OSC_CLK_out~output_o\);

-- Location: IOIBUF_X0_Y36_N15
\OSC_CLK_in~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_OSC_CLK_in,
	o => \OSC_CLK_in~input_o\);

-- Location: CLKCTRL_G4
\OSC_CLK_in~inputclkctrl\ : cycloneive_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \OSC_CLK_in~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \OSC_CLK_in~inputclkctrl_outclk\);

-- Location: LCCOMB_X61_Y69_N2
\Chip3|Chip1|present_state[0]~15\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[0]~15_combout\ = \Chip3|Chip1|present_state\(0) $ (VCC)
-- \Chip3|Chip1|present_state[0]~16\ = CARRY(\Chip3|Chip1|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(0),
	datad => VCC,
	combout => \Chip3|Chip1|present_state[0]~15_combout\,
	cout => \Chip3|Chip1|present_state[0]~16\);

-- Location: IOIBUF_X115_Y35_N22
\CD_L~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD_L,
	o => \CD_L~input_o\);

-- Location: LCCOMB_X61_Y69_N12
\Chip3|Chip1|present_state[5]~25\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[5]~25_combout\ = (\Chip3|Chip1|present_state\(5) & (!\Chip3|Chip1|present_state[4]~24\)) # (!\Chip3|Chip1|present_state\(5) & ((\Chip3|Chip1|present_state[4]~24\) # (GND)))
-- \Chip3|Chip1|present_state[5]~26\ = CARRY((!\Chip3|Chip1|present_state[4]~24\) # (!\Chip3|Chip1|present_state\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(5),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[4]~24\,
	combout => \Chip3|Chip1|present_state[5]~25_combout\,
	cout => \Chip3|Chip1|present_state[5]~26\);

-- Location: LCCOMB_X61_Y69_N14
\Chip3|Chip1|present_state[6]~27\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[6]~27_combout\ = (\Chip3|Chip1|present_state\(6) & (\Chip3|Chip1|present_state[5]~26\ $ (GND))) # (!\Chip3|Chip1|present_state\(6) & (!\Chip3|Chip1|present_state[5]~26\ & VCC))
-- \Chip3|Chip1|present_state[6]~28\ = CARRY((\Chip3|Chip1|present_state\(6) & !\Chip3|Chip1|present_state[5]~26\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(6),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[5]~26\,
	combout => \Chip3|Chip1|present_state[6]~27_combout\,
	cout => \Chip3|Chip1|present_state[6]~28\);

-- Location: FF_X61_Y69_N15
\Chip3|Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[6]~27_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(6));

-- Location: LCCOMB_X61_Y69_N16
\Chip3|Chip1|present_state[7]~29\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[7]~29_combout\ = (\Chip3|Chip1|present_state\(7) & (!\Chip3|Chip1|present_state[6]~28\)) # (!\Chip3|Chip1|present_state\(7) & ((\Chip3|Chip1|present_state[6]~28\) # (GND)))
-- \Chip3|Chip1|present_state[7]~30\ = CARRY((!\Chip3|Chip1|present_state[6]~28\) # (!\Chip3|Chip1|present_state\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(7),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[6]~28\,
	combout => \Chip3|Chip1|present_state[7]~29_combout\,
	cout => \Chip3|Chip1|present_state[7]~30\);

-- Location: FF_X61_Y69_N17
\Chip3|Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[7]~29_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(7));

-- Location: LCCOMB_X61_Y69_N18
\Chip3|Chip1|present_state[8]~31\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[8]~31_combout\ = (\Chip3|Chip1|present_state\(8) & (\Chip3|Chip1|present_state[7]~30\ $ (GND))) # (!\Chip3|Chip1|present_state\(8) & (!\Chip3|Chip1|present_state[7]~30\ & VCC))
-- \Chip3|Chip1|present_state[8]~32\ = CARRY((\Chip3|Chip1|present_state\(8) & !\Chip3|Chip1|present_state[7]~30\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(8),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[7]~30\,
	combout => \Chip3|Chip1|present_state[8]~31_combout\,
	cout => \Chip3|Chip1|present_state[8]~32\);

-- Location: FF_X61_Y69_N19
\Chip3|Chip1|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[8]~31_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(8));

-- Location: LCCOMB_X61_Y69_N20
\Chip3|Chip1|present_state[9]~33\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[9]~33_combout\ = (\Chip3|Chip1|present_state\(9) & (!\Chip3|Chip1|present_state[8]~32\)) # (!\Chip3|Chip1|present_state\(9) & ((\Chip3|Chip1|present_state[8]~32\) # (GND)))
-- \Chip3|Chip1|present_state[9]~34\ = CARRY((!\Chip3|Chip1|present_state[8]~32\) # (!\Chip3|Chip1|present_state\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(9),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[8]~32\,
	combout => \Chip3|Chip1|present_state[9]~33_combout\,
	cout => \Chip3|Chip1|present_state[9]~34\);

-- Location: FF_X61_Y69_N21
\Chip3|Chip1|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[9]~33_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(9));

-- Location: LCCOMB_X61_Y69_N22
\Chip3|Chip1|present_state[10]~35\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[10]~35_combout\ = (\Chip3|Chip1|present_state\(10) & (\Chip3|Chip1|present_state[9]~34\ $ (GND))) # (!\Chip3|Chip1|present_state\(10) & (!\Chip3|Chip1|present_state[9]~34\ & VCC))
-- \Chip3|Chip1|present_state[10]~36\ = CARRY((\Chip3|Chip1|present_state\(10) & !\Chip3|Chip1|present_state[9]~34\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(10),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[9]~34\,
	combout => \Chip3|Chip1|present_state[10]~35_combout\,
	cout => \Chip3|Chip1|present_state[10]~36\);

-- Location: FF_X61_Y69_N23
\Chip3|Chip1|present_state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[10]~35_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(10));

-- Location: LCCOMB_X61_Y69_N24
\Chip3|Chip1|present_state[11]~37\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[11]~37_combout\ = (\Chip3|Chip1|present_state\(11) & (!\Chip3|Chip1|present_state[10]~36\)) # (!\Chip3|Chip1|present_state\(11) & ((\Chip3|Chip1|present_state[10]~36\) # (GND)))
-- \Chip3|Chip1|present_state[11]~38\ = CARRY((!\Chip3|Chip1|present_state[10]~36\) # (!\Chip3|Chip1|present_state\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(11),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[10]~36\,
	combout => \Chip3|Chip1|present_state[11]~37_combout\,
	cout => \Chip3|Chip1|present_state[11]~38\);

-- Location: FF_X61_Y69_N25
\Chip3|Chip1|present_state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[11]~37_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(11));

-- Location: LCCOMB_X61_Y69_N26
\Chip3|Chip1|present_state[12]~39\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[12]~39_combout\ = (\Chip3|Chip1|present_state\(12) & (\Chip3|Chip1|present_state[11]~38\ $ (GND))) # (!\Chip3|Chip1|present_state\(12) & (!\Chip3|Chip1|present_state[11]~38\ & VCC))
-- \Chip3|Chip1|present_state[12]~40\ = CARRY((\Chip3|Chip1|present_state\(12) & !\Chip3|Chip1|present_state[11]~38\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(12),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[11]~38\,
	combout => \Chip3|Chip1|present_state[12]~39_combout\,
	cout => \Chip3|Chip1|present_state[12]~40\);

-- Location: FF_X61_Y69_N27
\Chip3|Chip1|present_state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[12]~39_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(12));

-- Location: LCCOMB_X61_Y69_N28
\Chip3|Chip1|present_state[13]~41\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[13]~41_combout\ = (\Chip3|Chip1|present_state\(13) & (!\Chip3|Chip1|present_state[12]~40\)) # (!\Chip3|Chip1|present_state\(13) & ((\Chip3|Chip1|present_state[12]~40\) # (GND)))
-- \Chip3|Chip1|present_state[13]~42\ = CARRY((!\Chip3|Chip1|present_state[12]~40\) # (!\Chip3|Chip1|present_state\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(13),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[12]~40\,
	combout => \Chip3|Chip1|present_state[13]~41_combout\,
	cout => \Chip3|Chip1|present_state[13]~42\);

-- Location: FF_X61_Y69_N29
\Chip3|Chip1|present_state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[13]~41_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(13));

-- Location: LCCOMB_X61_Y69_N30
\Chip3|Chip1|present_state[14]~43\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[14]~43_combout\ = \Chip3|Chip1|present_state\(14) $ (!\Chip3|Chip1|present_state[13]~42\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(14),
	cin => \Chip3|Chip1|present_state[13]~42\,
	combout => \Chip3|Chip1|present_state[14]~43_combout\);

-- Location: FF_X61_Y69_N31
\Chip3|Chip1|present_state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[14]~43_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(14));

-- Location: LCCOMB_X62_Y69_N6
\Chip3|Chip1|LessThan0~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|LessThan0~0_combout\ = (!\Chip3|Chip1|present_state\(12) & (!\Chip3|Chip1|present_state\(9) & (!\Chip3|Chip1|present_state\(10) & !\Chip3|Chip1|present_state\(11))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(12),
	datab => \Chip3|Chip1|present_state\(9),
	datac => \Chip3|Chip1|present_state\(10),
	datad => \Chip3|Chip1|present_state\(11),
	combout => \Chip3|Chip1|LessThan0~0_combout\);

-- Location: LCCOMB_X62_Y69_N4
\Chip3|Chip1|LessThan0~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|LessThan0~1_combout\ = (((!\Chip3|Chip1|present_state\(6) & !\Chip3|Chip1|present_state\(5))) # (!\Chip3|Chip1|present_state\(7))) # (!\Chip3|Chip1|present_state\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111101111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(6),
	datab => \Chip3|Chip1|present_state\(8),
	datac => \Chip3|Chip1|present_state\(7),
	datad => \Chip3|Chip1|present_state\(5),
	combout => \Chip3|Chip1|LessThan0~1_combout\);

-- Location: LCCOMB_X62_Y69_N26
\Chip3|Chip1|Equal0~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|Equal0~1_combout\ = (\Chip3|Chip1|present_state\(2) & (\Chip3|Chip1|present_state\(1) & \Chip3|Chip1|present_state\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(2),
	datac => \Chip3|Chip1|present_state\(1),
	datad => \Chip3|Chip1|present_state\(0),
	combout => \Chip3|Chip1|Equal0~1_combout\);

-- Location: LCCOMB_X62_Y69_N28
\Chip3|Chip1|Equal0~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|Equal0~0_combout\ = (!\Chip3|Chip1|present_state\(3) & (!\Chip3|Chip1|present_state\(6) & (!\Chip3|Chip1|present_state\(4) & \Chip3|Chip1|LessThan0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(3),
	datab => \Chip3|Chip1|present_state\(6),
	datac => \Chip3|Chip1|present_state\(4),
	datad => \Chip3|Chip1|LessThan0~0_combout\,
	combout => \Chip3|Chip1|Equal0~0_combout\);

-- Location: LCCOMB_X62_Y69_N2
\Chip3|Chip1|LessThan0~2\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|LessThan0~2_combout\ = (\Chip3|Chip1|LessThan0~0_combout\ & ((\Chip3|Chip1|LessThan0~1_combout\) # ((!\Chip3|Chip1|Equal0~1_combout\ & \Chip3|Chip1|Equal0~0_combout\)))) # (!\Chip3|Chip1|LessThan0~0_combout\ & 
-- (((!\Chip3|Chip1|Equal0~1_combout\ & \Chip3|Chip1|Equal0~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000111110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|LessThan0~0_combout\,
	datab => \Chip3|Chip1|LessThan0~1_combout\,
	datac => \Chip3|Chip1|Equal0~1_combout\,
	datad => \Chip3|Chip1|Equal0~0_combout\,
	combout => \Chip3|Chip1|LessThan0~2_combout\);

-- Location: LCCOMB_X61_Y69_N0
\Chip3|Chip1|LessThan0~3\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|LessThan0~3_combout\ = (\Chip3|Chip1|present_state\(13) & (\Chip3|Chip1|present_state\(14) & !\Chip3|Chip1|LessThan0~2_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(13),
	datac => \Chip3|Chip1|present_state\(14),
	datad => \Chip3|Chip1|LessThan0~2_combout\,
	combout => \Chip3|Chip1|LessThan0~3_combout\);

-- Location: FF_X61_Y69_N3
\Chip3|Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[0]~15_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(0));

-- Location: LCCOMB_X61_Y69_N4
\Chip3|Chip1|present_state[1]~17\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[1]~17_combout\ = (\Chip3|Chip1|present_state\(1) & (!\Chip3|Chip1|present_state[0]~16\)) # (!\Chip3|Chip1|present_state\(1) & ((\Chip3|Chip1|present_state[0]~16\) # (GND)))
-- \Chip3|Chip1|present_state[1]~18\ = CARRY((!\Chip3|Chip1|present_state[0]~16\) # (!\Chip3|Chip1|present_state\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(1),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[0]~16\,
	combout => \Chip3|Chip1|present_state[1]~17_combout\,
	cout => \Chip3|Chip1|present_state[1]~18\);

-- Location: FF_X61_Y69_N5
\Chip3|Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[1]~17_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(1));

-- Location: LCCOMB_X61_Y69_N6
\Chip3|Chip1|present_state[2]~19\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[2]~19_combout\ = (\Chip3|Chip1|present_state\(2) & (\Chip3|Chip1|present_state[1]~18\ $ (GND))) # (!\Chip3|Chip1|present_state\(2) & (!\Chip3|Chip1|present_state[1]~18\ & VCC))
-- \Chip3|Chip1|present_state[2]~20\ = CARRY((\Chip3|Chip1|present_state\(2) & !\Chip3|Chip1|present_state[1]~18\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(2),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[1]~18\,
	combout => \Chip3|Chip1|present_state[2]~19_combout\,
	cout => \Chip3|Chip1|present_state[2]~20\);

-- Location: FF_X61_Y69_N7
\Chip3|Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[2]~19_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(2));

-- Location: LCCOMB_X61_Y69_N8
\Chip3|Chip1|present_state[3]~21\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[3]~21_combout\ = (\Chip3|Chip1|present_state\(3) & (!\Chip3|Chip1|present_state[2]~20\)) # (!\Chip3|Chip1|present_state\(3) & ((\Chip3|Chip1|present_state[2]~20\) # (GND)))
-- \Chip3|Chip1|present_state[3]~22\ = CARRY((!\Chip3|Chip1|present_state[2]~20\) # (!\Chip3|Chip1|present_state\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip1|present_state\(3),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[2]~20\,
	combout => \Chip3|Chip1|present_state[3]~21_combout\,
	cout => \Chip3|Chip1|present_state[3]~22\);

-- Location: FF_X61_Y69_N9
\Chip3|Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[3]~21_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(3));

-- Location: LCCOMB_X61_Y69_N10
\Chip3|Chip1|present_state[4]~23\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|present_state[4]~23_combout\ = (\Chip3|Chip1|present_state\(4) & (\Chip3|Chip1|present_state[3]~22\ $ (GND))) # (!\Chip3|Chip1|present_state\(4) & (!\Chip3|Chip1|present_state[3]~22\ & VCC))
-- \Chip3|Chip1|present_state[4]~24\ = CARRY((\Chip3|Chip1|present_state\(4) & !\Chip3|Chip1|present_state[3]~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(4),
	datad => VCC,
	cin => \Chip3|Chip1|present_state[3]~22\,
	combout => \Chip3|Chip1|present_state[4]~23_combout\,
	cout => \Chip3|Chip1|present_state[4]~24\);

-- Location: FF_X61_Y69_N11
\Chip3|Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[4]~23_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(4));

-- Location: FF_X61_Y69_N13
\Chip3|Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip1|present_state[5]~25_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip1|LessThan0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip1|present_state\(5));

-- Location: LCCOMB_X62_Y69_N24
\Chip3|Chip1|Equal0~2\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|Equal0~2_combout\ = (\Chip3|Chip1|present_state\(7) & (\Chip3|Chip1|present_state\(8) & (\Chip3|Chip1|present_state\(13) & \Chip3|Chip1|present_state\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(7),
	datab => \Chip3|Chip1|present_state\(8),
	datac => \Chip3|Chip1|present_state\(13),
	datad => \Chip3|Chip1|present_state\(14),
	combout => \Chip3|Chip1|Equal0~2_combout\);

-- Location: LCCOMB_X62_Y69_N30
\Chip3|Chip1|Equal0~3\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip1|Equal0~3_combout\ = (\Chip3|Chip1|present_state\(5) & (\Chip3|Chip1|Equal0~2_combout\ & (\Chip3|Chip1|Equal0~1_combout\ & \Chip3|Chip1|Equal0~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|present_state\(5),
	datab => \Chip3|Chip1|Equal0~2_combout\,
	datac => \Chip3|Chip1|Equal0~1_combout\,
	datad => \Chip3|Chip1|Equal0~0_combout\,
	combout => \Chip3|Chip1|Equal0~3_combout\);

-- Location: LCCOMB_X62_Y69_N8
\Chip3|Chip2|present_state[0]~8\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[0]~8_combout\ = \Chip3|Chip2|present_state\(0) $ (VCC)
-- \Chip3|Chip2|present_state[0]~9\ = CARRY(\Chip3|Chip2|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip2|present_state\(0),
	datad => VCC,
	combout => \Chip3|Chip2|present_state[0]~8_combout\,
	cout => \Chip3|Chip2|present_state[0]~9\);

-- Location: LCCOMB_X63_Y69_N22
\Chip3|Chip2|TC200~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|TC200~1_combout\ = (!\Chip3|Chip2|present_state\(3) & (!\Chip3|Chip2|present_state\(4) & !\Chip3|Chip2|present_state\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(3),
	datac => \Chip3|Chip2|present_state\(4),
	datad => \Chip3|Chip2|present_state\(5),
	combout => \Chip3|Chip2|TC200~1_combout\);

-- Location: LCCOMB_X63_Y69_N28
\Chip3|Chip2|TC200~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|TC200~0_combout\ = (\Chip3|Chip2|present_state\(1) & (\Chip3|Chip2|present_state\(0) & \Chip3|Chip2|present_state\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(1),
	datac => \Chip3|Chip2|present_state\(0),
	datad => \Chip3|Chip2|present_state\(2),
	combout => \Chip3|Chip2|TC200~0_combout\);

-- Location: LCCOMB_X63_Y69_N2
\Chip3|Chip2|LessThan0~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|LessThan0~0_combout\ = (\Chip3|Chip2|present_state\(7) & (\Chip3|Chip2|present_state\(6) & ((\Chip3|Chip2|TC200~0_combout\) # (!\Chip3|Chip2|TC200~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(7),
	datab => \Chip3|Chip2|present_state\(6),
	datac => \Chip3|Chip2|TC200~1_combout\,
	datad => \Chip3|Chip2|TC200~0_combout\,
	combout => \Chip3|Chip2|LessThan0~0_combout\);

-- Location: FF_X62_Y69_N9
\Chip3|Chip2|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[0]~8_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(0));

-- Location: LCCOMB_X62_Y69_N10
\Chip3|Chip2|present_state[1]~10\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[1]~10_combout\ = (\Chip3|Chip2|present_state\(1) & (!\Chip3|Chip2|present_state[0]~9\)) # (!\Chip3|Chip2|present_state\(1) & ((\Chip3|Chip2|present_state[0]~9\) # (GND)))
-- \Chip3|Chip2|present_state[1]~11\ = CARRY((!\Chip3|Chip2|present_state[0]~9\) # (!\Chip3|Chip2|present_state\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(1),
	datad => VCC,
	cin => \Chip3|Chip2|present_state[0]~9\,
	combout => \Chip3|Chip2|present_state[1]~10_combout\,
	cout => \Chip3|Chip2|present_state[1]~11\);

-- Location: FF_X62_Y69_N11
\Chip3|Chip2|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[1]~10_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(1));

-- Location: LCCOMB_X62_Y69_N12
\Chip3|Chip2|present_state[2]~12\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[2]~12_combout\ = (\Chip3|Chip2|present_state\(2) & (\Chip3|Chip2|present_state[1]~11\ $ (GND))) # (!\Chip3|Chip2|present_state\(2) & (!\Chip3|Chip2|present_state[1]~11\ & VCC))
-- \Chip3|Chip2|present_state[2]~13\ = CARRY((\Chip3|Chip2|present_state\(2) & !\Chip3|Chip2|present_state[1]~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(2),
	datad => VCC,
	cin => \Chip3|Chip2|present_state[1]~11\,
	combout => \Chip3|Chip2|present_state[2]~12_combout\,
	cout => \Chip3|Chip2|present_state[2]~13\);

-- Location: FF_X62_Y69_N13
\Chip3|Chip2|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[2]~12_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(2));

-- Location: LCCOMB_X62_Y69_N14
\Chip3|Chip2|present_state[3]~14\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[3]~14_combout\ = (\Chip3|Chip2|present_state\(3) & (!\Chip3|Chip2|present_state[2]~13\)) # (!\Chip3|Chip2|present_state\(3) & ((\Chip3|Chip2|present_state[2]~13\) # (GND)))
-- \Chip3|Chip2|present_state[3]~15\ = CARRY((!\Chip3|Chip2|present_state[2]~13\) # (!\Chip3|Chip2|present_state\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip2|present_state\(3),
	datad => VCC,
	cin => \Chip3|Chip2|present_state[2]~13\,
	combout => \Chip3|Chip2|present_state[3]~14_combout\,
	cout => \Chip3|Chip2|present_state[3]~15\);

-- Location: FF_X62_Y69_N15
\Chip3|Chip2|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[3]~14_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(3));

-- Location: LCCOMB_X62_Y69_N16
\Chip3|Chip2|present_state[4]~16\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[4]~16_combout\ = (\Chip3|Chip2|present_state\(4) & (\Chip3|Chip2|present_state[3]~15\ $ (GND))) # (!\Chip3|Chip2|present_state\(4) & (!\Chip3|Chip2|present_state[3]~15\ & VCC))
-- \Chip3|Chip2|present_state[4]~17\ = CARRY((\Chip3|Chip2|present_state\(4) & !\Chip3|Chip2|present_state[3]~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip3|Chip2|present_state\(4),
	datad => VCC,
	cin => \Chip3|Chip2|present_state[3]~15\,
	combout => \Chip3|Chip2|present_state[4]~16_combout\,
	cout => \Chip3|Chip2|present_state[4]~17\);

-- Location: FF_X62_Y69_N17
\Chip3|Chip2|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[4]~16_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(4));

-- Location: LCCOMB_X62_Y69_N18
\Chip3|Chip2|present_state[5]~18\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[5]~18_combout\ = (\Chip3|Chip2|present_state\(5) & (!\Chip3|Chip2|present_state[4]~17\)) # (!\Chip3|Chip2|present_state\(5) & ((\Chip3|Chip2|present_state[4]~17\) # (GND)))
-- \Chip3|Chip2|present_state[5]~19\ = CARRY((!\Chip3|Chip2|present_state[4]~17\) # (!\Chip3|Chip2|present_state\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(5),
	datad => VCC,
	cin => \Chip3|Chip2|present_state[4]~17\,
	combout => \Chip3|Chip2|present_state[5]~18_combout\,
	cout => \Chip3|Chip2|present_state[5]~19\);

-- Location: FF_X62_Y69_N19
\Chip3|Chip2|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[5]~18_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(5));

-- Location: LCCOMB_X62_Y69_N20
\Chip3|Chip2|present_state[6]~20\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[6]~20_combout\ = (\Chip3|Chip2|present_state\(6) & (\Chip3|Chip2|present_state[5]~19\ $ (GND))) # (!\Chip3|Chip2|present_state\(6) & (!\Chip3|Chip2|present_state[5]~19\ & VCC))
-- \Chip3|Chip2|present_state[6]~21\ = CARRY((\Chip3|Chip2|present_state\(6) & !\Chip3|Chip2|present_state[5]~19\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(6),
	datad => VCC,
	cin => \Chip3|Chip2|present_state[5]~19\,
	combout => \Chip3|Chip2|present_state[6]~20_combout\,
	cout => \Chip3|Chip2|present_state[6]~21\);

-- Location: FF_X62_Y69_N21
\Chip3|Chip2|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[6]~20_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(6));

-- Location: LCCOMB_X62_Y69_N22
\Chip3|Chip2|present_state[7]~22\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|present_state[7]~22_combout\ = \Chip3|Chip2|present_state[6]~21\ $ (\Chip3|Chip2|present_state\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \Chip3|Chip2|present_state\(7),
	cin => \Chip3|Chip2|present_state[6]~21\,
	combout => \Chip3|Chip2|present_state[7]~22_combout\);

-- Location: FF_X62_Y69_N23
\Chip3|Chip2|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip2|present_state[7]~22_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip3|Chip2|LessThan0~0_combout\,
	ena => \Chip3|Chip1|Equal0~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip2|present_state\(7));

-- Location: LCCOMB_X63_Y69_N24
\Chip3|Chip2|TC200~2\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip2|TC200~2_combout\ = (\Chip3|Chip2|present_state\(7) & (\Chip3|Chip2|present_state\(6) & (\Chip3|Chip2|TC200~1_combout\ & \Chip3|Chip2|TC200~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip2|present_state\(7),
	datab => \Chip3|Chip2|present_state\(6),
	datac => \Chip3|Chip2|TC200~1_combout\,
	datad => \Chip3|Chip2|TC200~0_combout\,
	combout => \Chip3|Chip2|TC200~2_combout\);

-- Location: LCCOMB_X62_Y69_N0
\Chip3|Chip4|current_state~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip4|current_state~0_combout\ = \Chip3|Chip4|current_state~q\ $ (((\Chip3|Chip1|Equal0~3_combout\ & \Chip3|Chip2|TC200~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip1|Equal0~3_combout\,
	datac => \Chip3|Chip4|current_state~q\,
	datad => \Chip3|Chip2|TC200~2_combout\,
	combout => \Chip3|Chip4|current_state~0_combout\);

-- Location: FF_X62_Y69_N1
\Chip3|Chip4|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip4|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip4|current_state~q\);

-- Location: LCCOMB_X60_Y69_N0
\Chip3|Chip3|current_state~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip3|current_state~0_combout\ = \Chip3|Chip3|current_state~q\ $ (\Chip3|Chip1|Equal0~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip3|Chip3|current_state~q\,
	datad => \Chip3|Chip1|Equal0~3_combout\,
	combout => \Chip3|Chip3|current_state~0_combout\);

-- Location: LCCOMB_X60_Y69_N4
\Chip3|Chip3|current_state~feeder\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip3|Chip3|current_state~feeder_combout\ = \Chip3|Chip3|current_state~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip3|Chip3|current_state~0_combout\,
	combout => \Chip3|Chip3|current_state~feeder_combout\);

-- Location: FF_X60_Y69_N5
\Chip3|Chip3|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip3|Chip3|current_state~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip3|Chip3|current_state~q\);

-- Location: CLKCTRL_G14
\Chip3|Chip3|current_state~clkctrl\ : cycloneive_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \Chip3|Chip3|current_state~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \Chip3|Chip3|current_state~clkctrl_outclk\);

-- Location: IOIBUF_X115_Y40_N8
\ON_B_L~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_ON_B_L,
	o => \ON_B_L~input_o\);

-- Location: LCCOMB_X88_Y69_N2
\Chip1|Selector1~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|Selector1~0_combout\ = (\ON_B_L~input_o\ & ((\Chip1|current_state.Light_ON~q\) # (\Chip1|current_state.Button_pressed~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ON_B_L~input_o\,
	datac => \Chip1|current_state.Light_ON~q\,
	datad => \Chip1|current_state.Button_pressed~q\,
	combout => \Chip1|Selector1~0_combout\);

-- Location: FF_X88_Y69_N3
\Chip1|current_state.Light_ON\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip3|Chip3|current_state~clkctrl_outclk\,
	d => \Chip1|Selector1~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|current_state.Light_ON~q\);

-- Location: LCCOMB_X88_Y69_N20
\Chip1|next_state.Button_pressed_2~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|next_state.Button_pressed_2~0_combout\ = (!\ON_B_L~input_o\ & ((\Chip1|current_state.Button_pressed_2~q\) # (\Chip1|current_state.Light_ON~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ON_B_L~input_o\,
	datac => \Chip1|current_state.Button_pressed_2~q\,
	datad => \Chip1|current_state.Light_ON~q\,
	combout => \Chip1|next_state.Button_pressed_2~0_combout\);

-- Location: FF_X88_Y69_N21
\Chip1|current_state.Button_pressed_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip3|Chip3|current_state~clkctrl_outclk\,
	d => \Chip1|next_state.Button_pressed_2~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|current_state.Button_pressed_2~q\);

-- Location: LCCOMB_X88_Y69_N10
\Chip1|Selector2~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|Selector2~0_combout\ = (\ON_B_L~input_o\ & ((\Chip1|current_state.Light_flashing~q\) # (\Chip1|current_state.Button_pressed_2~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ON_B_L~input_o\,
	datac => \Chip1|current_state.Light_flashing~q\,
	datad => \Chip1|current_state.Button_pressed_2~q\,
	combout => \Chip1|Selector2~0_combout\);

-- Location: FF_X88_Y69_N11
\Chip1|current_state.Light_flashing\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip3|Chip3|current_state~clkctrl_outclk\,
	d => \Chip1|Selector2~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|current_state.Light_flashing~q\);

-- Location: LCCOMB_X88_Y69_N18
\Chip1|next_state.Button_pressed_3~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|next_state.Button_pressed_3~0_combout\ = (!\ON_B_L~input_o\ & ((\Chip1|current_state.Button_pressed_3~q\) # (\Chip1|current_state.Light_flashing~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ON_B_L~input_o\,
	datac => \Chip1|current_state.Button_pressed_3~q\,
	datad => \Chip1|current_state.Light_flashing~q\,
	combout => \Chip1|next_state.Button_pressed_3~0_combout\);

-- Location: FF_X88_Y69_N19
\Chip1|current_state.Button_pressed_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip3|Chip3|current_state~clkctrl_outclk\,
	d => \Chip1|next_state.Button_pressed_3~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|current_state.Button_pressed_3~q\);

-- Location: LCCOMB_X88_Y69_N16
\Chip1|Selector0~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|Selector0~0_combout\ = ((\Chip1|current_state.Init_state~q\ & !\Chip1|current_state.Button_pressed_3~q\)) # (!\ON_B_L~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010111110101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ON_B_L~input_o\,
	datac => \Chip1|current_state.Init_state~q\,
	datad => \Chip1|current_state.Button_pressed_3~q\,
	combout => \Chip1|Selector0~0_combout\);

-- Location: FF_X88_Y69_N17
\Chip1|current_state.Init_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip3|Chip3|current_state~clkctrl_outclk\,
	d => \Chip1|Selector0~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|current_state.Init_state~q\);

-- Location: LCCOMB_X88_Y69_N12
\Chip1|next_state.Button_pressed~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|next_state.Button_pressed~0_combout\ = (!\ON_B_L~input_o\ & ((\Chip1|current_state.Button_pressed~q\) # (!\Chip1|current_state.Init_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \ON_B_L~input_o\,
	datac => \Chip1|current_state.Button_pressed~q\,
	datad => \Chip1|current_state.Init_state~q\,
	combout => \Chip1|next_state.Button_pressed~0_combout\);

-- Location: FF_X88_Y69_N13
\Chip1|current_state.Button_pressed\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip3|Chip3|current_state~clkctrl_outclk\,
	d => \Chip1|next_state.Button_pressed~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|current_state.Button_pressed~q\);

-- Location: LCCOMB_X88_Y69_N28
\Chip1|S[1]\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|S\(1) = (\Chip1|current_state.Button_pressed_2~q\) # (\Chip1|current_state.Light_flashing~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|current_state.Button_pressed_2~q\,
	datac => \Chip1|current_state.Light_flashing~q\,
	combout => \Chip1|S\(1));

-- Location: LCCOMB_X88_Y69_N14
\Chip2|y~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip2|y~0_combout\ = (\Chip1|current_state.Button_pressed~q\ & (((!\Chip1|S\(1))))) # (!\Chip1|current_state.Button_pressed~q\ & ((\Chip1|current_state.Light_ON~q\ & ((!\Chip1|S\(1)))) # (!\Chip1|current_state.Light_ON~q\ & (\Chip3|Chip4|current_state~q\ 
-- & \Chip1|S\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip3|Chip4|current_state~q\,
	datab => \Chip1|current_state.Button_pressed~q\,
	datac => \Chip1|current_state.Light_ON~q\,
	datad => \Chip1|S\(1),
	combout => \Chip2|y~0_combout\);

-- Location: LCCOMB_X88_Y69_N26
\Chip1|WideOr3~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|WideOr3~0_combout\ = ((\Chip1|current_state.Light_ON~q\) # (\Chip1|current_state.Light_flashing~q\)) # (!\Chip1|current_state.Init_state~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110111111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|current_state.Init_state~q\,
	datab => \Chip1|current_state.Light_ON~q\,
	datac => \Chip1|current_state.Light_flashing~q\,
	combout => \Chip1|WideOr3~0_combout\);

-- Location: LCCOMB_X88_Y69_N8
\Chip1|States[1]\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|States\(1) = (\Chip1|current_state.Light_ON~q\) # (\Chip1|current_state.Button_pressed_2~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|current_state.Light_ON~q\,
	datac => \Chip1|current_state.Button_pressed_2~q\,
	combout => \Chip1|States\(1));

-- Location: LCCOMB_X88_Y69_N4
\Chip1|States[2]\ : cycloneive_lcell_comb
-- Equation(s):
-- \Chip1|States\(2) = (\Chip1|current_state.Light_flashing~q\) # (\Chip1|current_state.Button_pressed_3~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|current_state.Light_flashing~q\,
	datad => \Chip1|current_state.Button_pressed_3~q\,
	combout => \Chip1|States\(2));

ww_Z <= \Z~output_o\;

ww_Current_state(0) <= \Current_state[0]~output_o\;

ww_Current_state(1) <= \Current_state[1]~output_o\;

ww_Current_state(2) <= \Current_state[2]~output_o\;

ww_CLK_5Hz_SQ_out <= \CLK_5Hz_SQ_out~output_o\;

ww_CLK_1kHz_SQ_out <= \CLK_1kHz_SQ_out~output_o\;

ww_OSC_CLK_out <= \OSC_CLK_out~output_o\;
END structure;


